Page MenuHomePhabricator

[Regression] Cannot view topic versions from 'View history'
Closed, ResolvedPublic

Description

  1. On http://en.wikipedia.beta.wmflabs.org/wiki/Talk:ET4 click 'View history'
  2. On View history page click on any timestamp to view a topic versio e.g. " 2015-07-13T23:17:46 . . Etonkovidova (Talk | contribs | block) deleted the topic"
  3. http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Sl18xph3p9den4ob&topic_revId=sl190fv9tc13uqnf&action=single-view - the page cannot finish loading
TypeError: Cannot read property 'length' of undefined TypeError: Cannot read property 'length' of undefined
    at mwFlowDmSystem.mw.loader.implement.mw.flow.dm.System.populateBoardTopicsFromJson (eval at <anonymous> (http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false
&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:4:681), <anonymous>:226:591)

Event Timeline

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 10:05 PM

Another example(stack trace from Safari): http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Sl0nh1c1fz9y51y0&topic_revId=slnezrjy35aptt2j&action=single-view

TypeError: undefined is not an object (evaluating 'topiclist.roots.length') 
Error
column: 251
line: 228
message: "undefined is not an object (evaluating 'topiclist.roots.length')"
stack: "populateBoardTopicsFromJson↵↵fire@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:45:129↵add@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:45:668↵ready@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:49:67↵↵↵runScript@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:162:818↵checkCssHandles@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:163:358↵execute@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:164:146↵handlePending@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:161:366↵runScript@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:162:837↵checkCssHandles@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:163:358↵http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:163:741↵fire@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:45:129↵fireWith@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:46:435↵fire@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:46:487↵fireCallbacks@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:158:18↵addEmbeddedCSS@http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:158:767↵http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=xL4pVBmz:158:205"
__proto__: Error
constructor: function TypeError() {
length: 1
name: "TypeError"
prototype: Error
__proto__: function () {
message: ""
name: "TypeError"
toString: function toString() {
__proto__: Error
Etonkovidova renamed this task from [Regression] Cannot view deleted topic from 'View history' to [Regression] Cannot view topic versions from 'View history'.Jul 23 2015, 10:21 PM
Etonkovidova updated the task description. (Show Details)
Etonkovidova set Security to None.
DannyH triaged this task as Unbreak Now! priority.Jul 24 2015, 5:37 PM
DannyH moved this task from Untriaged to Current workboard on the Collaboration-Team-Triage board.

Change 226758 had a related patch set uploaded (by Mooeypoo):
[wip] Fix flow DM in single-view and history pages

https://gerrit.wikimedia.org/r/226758

Change 226758 merged by jenkins-bot:
Fix flow DM in single-view and history pages

https://gerrit.wikimedia.org/r/226758

Mooeypoo claimed this task.Jul 24 2015, 6:33 PM

Checked in betalabs.

DannyH closed this task as Resolved.Jul 27 2015, 5:16 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.